All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
slice.hpp File Reference

Implementation of a slice object for use with proxy objects. More...

`#include <vector>`
`#include <stddef.h>`
`#include <assert.h>`
`#include "viennacl/forwards.h"`

Go to the source code of this file.

## Classes

class | viennacl::basic_slice< SizeType, DistanceType >
| A slice class that refers to an interval [start, stop), where 'start' is included, and 'stop' is excluded. More...

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.

## Detailed Description

Implementation of a slice object for use with proxy objects.

Definition in file slice.hpp.